> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Protect bank account funds

> Protects funds in a trust bank account. Only trust accounts are supported.



## OpenAPI

````yaml /openapi.json post /bankaccounts/{id}/protect-funds
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /bankaccounts/{id}/protect-funds:
    post:
      tags:
        - Bank Accounts
      summary: Protect bank account funds
      description: >-
        Protects funds in a trust bank account. Only trust accounts are
        supported.
      operationId: ProtectFundsAsync
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ProtectFundsDto'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ProtectFundsDto'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ProtectFundsDto'
      responses:
        '202':
          description: When request is accepted. Returns a hypermedia 'Link' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: When bank account is not associated with authenticated client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When bank account does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ProtectFundsDto:
      required:
        - amount
        - effectiveDate
        - matterId
      type: object
      properties:
        matterId:
          minLength: 1
          type: string
          description: Unique identifier of the associated matter. Required.
          example: da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262
        contactId:
          type: string
          description: Unique identifier of the associated contact. Required in US only.
          nullable: true
          example: 18c05819-c321-4907-800c-d5a608729c5a
        reason:
          type: string
          description: Reason for protecting the funds.
          nullable: true
          example: Court order requiring protection of funds
        effectiveDate:
          type: string
          description: Date of protecting the funds.
          format: date-time
        amount:
          minimum: 0.01
          type: number
          description: >-
            The amount to protect in dollars. Limited to 2 decimal places
            (cents).
          format: double
          example: 100.5
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````